/**
* Copyright Zendesk, Inc.
*
* Use of this source code is governed under the Apache License, Version 2.0
* found at http://www.apache.org/licenses/LICENSE-2.0.
*/
import styled, { css } from 'styled-components';
import { math } from 'polished';
import { getColorV8, retrieveComponentStyles, DEFAULT_THEME, getLineHeight } from '@zendeskgarden/react-theming';
import { StyledListItem } from './StyledListItem.js';

const COMPONENT_ID = 'pagination.gap';
const sizeStyles = props => {
  const shift = 2;
  const fontSize = math(`${props.theme.fontSizes.md} + ${shift}`);
  const height = `${props.theme.space.base * 8}px`;
  const lineHeight = getLineHeight(height, fontSize);
  const padding = `${props.theme.space.base * 1.5}px`;
  return css(["padding:0 ", ";min-width:", ";max-width:", ";height:", ";line-height:", ";font-size:", ";"], padding, height, math(`${height} * 2`), height, lineHeight, fontSize);
};
const StyledGapListItem = styled(StyledListItem).attrs({
  'data-garden-id': COMPONENT_ID,
  'data-garden-version': '9.0.0-next.9'
}).withConfig({
  displayName: "StyledGapListItem",
  componentId: "sc-10wd0iz-0"
})(["display:inline-block;text-align:center;color:", ";", ";&:hover{color:inherit;}", ";"], p => getColorV8('neutralHue', 600, p.theme), props => sizeStyles(props), props => retrieveComponentStyles(COMPONENT_ID, props));
StyledGapListItem.defaultProps = {
  theme: DEFAULT_THEME
};

export { StyledGapListItem };
