/**
* Copyright Zendesk, Inc.
*
* Use of this source code is governed under the Apache License, Version 2.0
* found at http://www.apache.org/licenses/LICENSE-2.0.
*/
import styled from 'styled-components';
import { getColorV8, retrieveComponentStyles, DEFAULT_THEME } from '@zendeskgarden/react-theming';

const COMPONENT_ID = 'pagination.list';
const StyledList = styled.ul.attrs({
  'data-garden-id': COMPONENT_ID,
  'data-garden-version': '9.0.0-next.9'
}).withConfig({
  displayName: "StyledList",
  componentId: "sc-1uz2jxo-0"
})(["direction:", ";display:flex;justify-content:center;margin:0;padding:0;list-style:none;white-space:nowrap;color:", ";:focus{outline:none;}", ";"], props => props.theme.rtl && 'rtl', props => getColorV8('neutralHue', 600, props.theme), props => retrieveComponentStyles(COMPONENT_ID, props));
StyledList.defaultProps = {
  theme: DEFAULT_THEME
};

export { StyledList };
